id: tiktok-phish

info:
  name: tiktok phishing Detection
  author: rxerium
  severity: info
  description: |
    A tiktok phishing website was detected
  reference:
    - https://tiktok.com
  metadata:
    max-request: 1
  tags: phishing,tiktok,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - 'TikTok - Make Your Day'

      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"tiktok.com")'
# digest: 4a0a0047304502207c955da3a7ce9b5e3d38cc34c994fc17722977bc62695ef94302f5229e05d13c022100a1fd5c654e8ff70876f703f575757f6ec40712d9431ca04e4e27b433a820b685:922c64590222798bb761d5b6d8e72950